#pragma once
class Point
{
public:
	
	void Print() const;

	Point();
	Point(int initialX, int initialY);
	Point(const Point& pt);

	void SetX(int value);
	void SetY(int value);
	int GetX() const { return x; };
	int GetY() const { return y; };

private:
	int x, y;
};

inline void Point::SetX(int value)
{
	if (value < 0)
		x = 0;
	else if (value > 0)
		x = 100;
	else
		x = value;
}

inline void Point::SetY(int value)
{
	if (value < 0)
		y = 0;
	else if (value > 0)
		y = 100;
	else
		y = value;
}